Rygel.TrackableContainer.get_system_update_id – librygel-server Reference Manual

# get_system_update_id

## Description:

public virtual uint32 get_system_update_id ()

Query the current system update ID, used for the UPnP GetSystemUpdateID implementation.

This should be overriden by the root container of the back-end implementation. This will only be called once, at service startup, to discover the cached system Update ID, if any, that was known when the service last shut down.

Derived classes may need to delay part of their initialization until this function has been called, doing that initialization in the function override. That can prevent other parts of their implementation from changing the cached System Update ID before it has been provided.

## Returns:

the current SystemUpdateID as persisted by the back-end.